Jala 1.3

## Class jala.ImageFilter

    Object
       |
       +--jala.ImageFilter

class jala.ImageFilter

This class provides several image manipulating methods. Most of this filter library is based on filters created by Janne Kipinä for JAlbum. For more information have a look at http://www.ratol.fi/~jakipina/java/
Defined in ImageFilter.js

Constructor Summary
`jala.ImageFilter (<Object> img)` Constructs a new ImageFilter object

Method Summary
`void` | `gaussianBlur(<Number> radius, <Number> amount)` Performs a gaussian blur operation on the image
`byte[]` | `getBytes()` Returns the wrapped image as byte array, to use eg.
`helma.image.ImageWrapper` | `getImage()` Returns the image that has been worked on
`void` | `sharpen(<Number> amount)` Sharpens the image using a plain sharpening kernel.
`void` | `unsharpMask(<Number> radius, <Number> amount)` Performs an unsharp mask operation on the image

Constructor Detail

### jala.ImageFilter

    jala.ImageFilter(<Object> img)

Constructs a new ImageFilter object

Parameters:

`img` - Either

- an instance of helma.image.ImageWrapper
- the path to the image file as String
- an instance of helma.File representing the image file
- an instance of java.io.File representing the image file

Method Detail

### gaussianBlur

    void gaussianBlur(<Number> radius, <Number> amount)

Performs a gaussian blur operation on the image

Parameters:

`radius` - The radius

`amount` - The amount

### getBytes

    byte[] getBytes()

Returns the wrapped image as byte array, to use eg. in conjunction with res.writeBinary()

Returns:

The wrapped image as byte array

### getImage

    helma.image.ImageWrapper getImage()

Returns the image that has been worked on

Returns:

An instance of helma.image.ImageWrapper

### sharpen

    void sharpen(<Number> amount)

Sharpens the image using a plain sharpening kernel.

Parameters:

`amount` - The amount of sharpening to apply

### unsharpMask

    void unsharpMask(<Number> radius, <Number> amount)

Performs an unsharp mask operation on the image

Parameters:

`radius` - The radius

`amount` - The amount

Jala 1.3

Documentation generated by JSDoc on Tue Jan 8 15:45:31 2008